Package twisted :: Package internet :: Module interfaces :: Class IUDPTransport

[frames | no frames]

## Class IUDPTransport

    Interface --+
                |
               IUDPTransport

Transport for UDP DatagramProtocols.

Method Summary
| ``connect`(self, host, port)` Connect the transport to an address.
| ``getHost`(self)` Returns IPv4Address.
| ``write`(self, packet, addr)` Write packet to given address.

Method Details

### connect(self, host, port)

Connect the transport to an address.

This changes it to connected mode. Datagrams can only be sent to this address, and will only be received from this address. In addition the protocol's connectionRefused method might get called if destination is not receiving datagrams.

  Parameters:
    `host` - an IP address, not a domain name ('127.0.0.1', not 'localhost')
    `port` - port to connect to.

### getHost(self)

Returns IPv4Address.

### write(self, packet, addr=None)

    Write packet to given address.

    @param addr: a tuple of (ip, port). For connected transports must
                 be the address the transport is connected to, or None.
                 In non-connected mode this is mandatory.
    @raise L{MessageLengthError<twisted.internet.error.MessageLengthError>}

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net